# Interface PlotData

All Known Implementing Classes:
  `ArrayPlotData, CartesianTablePlotData, MultiPlotData, SubsetSelectionPlotData, TablePlotData, WrapperPlotData`

public interface PlotData
Describes the point data to be plotted, including information about different data subsets and corresponding plotting styles.

Since:
  4 Apr 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`int`
`getNdim()`
Returns the dimensionality of data points in this object.
`int`
`getNerror()`
Returns the number of error points per data point in this object.
`PointSequence`
`getPointSequence()`
Returns an iterator over the data points in this object.
`int`
`getSetCount()`
Returns the number of subsets in this object.
`String`
`getSetName(int iset)`
Returns the name for a given subset.
`Style`
`getSetStyle(int iset)`
Returns the plotting style for a given subset.
`boolean`
`hasLabels()`
Indicates whether there are or may be text labels associated with the data points in this object.

## Method Details

### getSetCount

int getSetCount()
Returns the number of subsets in this object.

Returns:
  subset count

### getSetName

String getSetName(int iset)
Returns the name for a given subset.

Parameters:
  `iset` - subset index
Returns:
  subset name

### getSetStyle

Style getSetStyle(int iset)
Returns the plotting style for a given subset.

Parameters:
  `iset` - subset index
Returns:
  subset style

### getNdim

int getNdim()
Returns the dimensionality of data points in this object.

Returns:
  length of `PointSequence.getPoint()` return values

### getNerror

int getNerror()
Returns the number of error points per data point in this object.

Returns:
  length of `PointSequence.getErrors()` return values

### hasLabels

boolean hasLabels()
Indicates whether there are or may be text labels associated with the data points in this object.

Returns:
  true if `PointSequence.getLabel()` may have non-null returns

### getPointSequence

PointSequence getPointSequence()
Returns an iterator over the data points in this object.

Returns:
  new point iterator